Subject: bug#21888: guix-publish gets ERROR when serve gtk+.

From: "Thompson, David" <[email-masked]>
Date: Fri, 13 Nov 2015 09:17:09 -0500

On Fri, Nov 13, 2015 at 8:29 AM, Ludovic Courtès <[email-masked]> wrote:
> [email-masked] (宋文武) skribis:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> 宋文武 <[email-masked]> skribis:
>>>
>>>> ---request begin---
>>>> GET /nar/1dlz1am0qmj1579f5p6j5cvfx9l2aw50-gtk+-3.18.2 HTTP/1.1
>>>> User-Agent: Wget/1.16.3 (linux-gnu)
>>>> Accept: */*
>>>> Accept-Encoding: identity
>>>> Host: localhost:8080
>>>> Connection: Keep-Alive
>>>>
>>>> ---request end---
>>>>
>>>> ---response begin---
>>>> HTTP/1.1 404 Not Found
>>>> Content-Length: 69
>>>> Content-Type: text/plain;charset=utf-8
>>>>
>>>> ---response end---
>>>> Registered socket 3 for persistent reuse.
>>>> URI content encoding = 'utf-8'
>>>> Skipping 69 bytes of body: [Resource not found: /nar/1dlz1am0qmj1579f5p6j5cvfx9l2aw50-gtk+-3.18.2] done.
>>>
>>> Here ‘guix publish’ returns 404, presumably because
>>> /gnu/store/1dlz1am0qmj1579f5p6j5cvfx9l2aw50-gtk+-3.18.2 is not on disk
>>> or not valid.
>>>
>>> Is this correct?
>> No, the gtk+ item is valid, and replace 'gtk+' with 'gtk%2B' in the url
>> will make wget download it happily.
>
> Oooh, I see.  We’re missing a decoding phase here.  David?  :-)

I don't know when I'll be able to fix it, but it sounds easy.  I'll
post a patch when I have time.

Thanks,

- Dave